Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.borg.model.entity
Class Tasklog

    java.lang.Object
      net.sf.borg.model.entity.KeyedEntity<Tasklog>
          net.sf.borg.model.entity.Tasklog

All Implemented Interfaces:
  Serializable

    public class Tasklog

extends KeyedEntity<Tasklog>

The Tasklog Entity

See Also:
  Serialized Form

Constructor Summary
`Tasklog()`

Method Summary
`protected Tasklog` | `clone()`
`String` | `getDescription()` Gets the description.
`Date` | `getlogTime()` Gets the log time.
`Integer` | `getTask()` Gets the task.
`void` | `setDescription(String xx)` Sets the description.
`void` | `setlogTime(Date xx)` Sets the log time.
`void` | `setTask(Integer xx)` Sets the task.

Methods inherited from class net.sf.borg.model.entity.KeyedEntity
`copy, getKey, setKey`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Tasklog

    public Tasklog()

Method Detail

### getlogTime

    public Date getlogTime()

  Gets the log time.

  Returns:
    the log time

### setlogTime

    public void setlogTime(Date xx)

  Sets the log time.

  Parameters:
    `xx` - the new log time

### getDescription

    public String getDescription()

  Gets the description.

  Returns:
    the description

### setDescription

    public void setDescription(String xx)

  Sets the description.

  Parameters:
    `xx` - the new description

### getTask

    public Integer getTask()

  Gets the task.

  Returns:
    the task

### setTask

    public void setTask(Integer xx)

  Sets the task.

  Parameters:
    `xx` - the new task

### clone

    protected Tasklog clone()

  Overrides:
    `clone` in class `KeyedEntity<Tasklog>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Generated September 24 2010 by mbb using Apache Ant version 1.7.1 compiled on June 27 2008 and Java version 1.6.0_20 from Sun Microsystems Inc. on Linux i386 2.6.24-28-generic